<?xml version="1.0" encoding="UTF-8"?>
<reportUnit>
    <folder>/reports/samples</folder>
    <name>Cascading_multi_select_report</name>
    <version>1</version>
    <label>Cascading multi select example report</label>
    <description>Example report with Cascading multi select input controls</description>
    <creationDate>2020-07-20T16:02:15.000Z</creationDate>
    <updateDate>2020-07-20T15:50:05.000Z</updateDate>
    <mainReport>
        <localResource
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            dataFile="Cascading_multi_select_report.data" xsi:type="fileResource">
            <folder>/reports/samples/Cascading_multi_select_report_files</folder>
            <name>Cascading_multi_select_report</name>
            <version>1</version>
            <label>Cascading multi select example report</label>
            <description>Shows cascading input controls. Multi-select and single select queries</description>
            <creationDate>2020-07-20T16:02:15.000Z</creationDate>
            <updateDate>2020-07-20T16:02:15.000Z</updateDate>
            <fileType>jrxml</fileType>
        </localResource>
    </mainReport>
    <dataSource>
        <uri>/datasources/JServerJNDIDS</uri>
    </dataSource>
    <inputControl>
        <localResource
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="inputControl">
            <folder>/reports/samples/Cascading_multi_select_report_files</folder>
            <name>Country_multi_select</name>
            <version>1</version>
            <label>Country multi select</label>
            <description>Country multi select</description>
            <creationDate>2020-07-20T16:02:15.000Z</creationDate>
            <updateDate>2020-07-20T16:02:15.000Z</updateDate>
            <type>7</type>
            <mandatory>true</mandatory>
            <readOnly>false</readOnly>
            <visible>true</visible>
            <query>
                <localResource xsi:type="query">
                    <folder>/reports/samples/Cascading_multi_select_report_files/Country_multi_select_files</folder>
                    <name>country_query</name>
                    <version>0</version>
                    <label>Country Query</label>
                    <creationDate>2020-07-20T16:02:15.000Z</creationDate>
                    <updateDate>2020-07-20T16:02:15.000Z</updateDate>
                    <language>sql</language>
                    <queryString>select distinct billing_address_country from accounts order by billing_address_country</queryString>
                    <dataSource>
                        <uri>/datasources/JServerJNDIDS</uri>
                    </dataSource>
                </localResource>
            </query>
            <queryVisibleColumn>billing_address_country</queryVisibleColumn>
            <queryValueColumn>billing_address_country</queryValueColumn>
        </localResource>
    </inputControl>
    <inputControl>
        <localResource
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="inputControl">
            <folder>/reports/samples/Cascading_multi_select_report_files</folder>
            <name>Cascading_state_multi_select</name>
            <version>1</version>
            <label>Cascading state multi select control</label>
            <description>Cascading state multi select control</description>
            <creationDate>2020-07-20T16:02:15.000Z</creationDate>
            <updateDate>2020-07-20T16:02:15.000Z</updateDate>
            <type>7</type>
            <mandatory>true</mandatory>
            <readOnly>false</readOnly>
            <visible>true</visible>
            <query>
                <localResource xsi:type="query">
                    <folder>/reports/samples/Cascading_multi_select_report_files/Cascading_state_multi_select_files</folder>
                    <name>Cascading_state_query</name>
                    <version>0</version>
                    <label>Cascading state query</label>
                    <creationDate>2020-07-20T16:02:15.000Z</creationDate>
                    <updateDate>2020-07-20T16:02:15.000Z</updateDate>
                    <language>sql</language>
                    <queryString>select distinct billing_address_state, billing_address_country from accounts where $X{IN, billing_address_country, Country_multi_select} order by billing_address_country, billing_address_state</queryString>
                    <dataSource>
                        <uri>/datasources/JServerJNDIDS</uri>
                    </dataSource>
                </localResource>
            </query>
            <queryVisibleColumn>billing_address_country</queryVisibleColumn>
            <queryVisibleColumn>billing_address_state</queryVisibleColumn>
            <queryValueColumn>billing_address_state</queryValueColumn>
        </localResource>
    </inputControl>
    <inputControl>
        <localResource
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="inputControl">
            <folder>/reports/samples/Cascading_multi_select_report_files</folder>
            <name>Cascading_name_single_select</name>
            <version>1</version>
            <label>Cascading name single select</label>
            <description>Cascading name single select</description>
            <creationDate>2020-07-20T16:02:15.000Z</creationDate>
            <updateDate>2020-07-20T16:02:15.000Z</updateDate>
            <type>4</type>
            <mandatory>true</mandatory>
            <readOnly>false</readOnly>
            <visible>true</visible>
            <query>
                <localResource xsi:type="query">
                    <folder>/reports/samples/Cascading_multi_select_report_files/Cascading_name_single_select_files</folder>
                    <name>country_state_to_name</name>
                    <version>0</version>
                    <label>Country State to Name</label>
                    <creationDate>2020-07-20T16:02:15.000Z</creationDate>
                    <updateDate>2020-07-20T16:02:15.000Z</updateDate>
                    <language>sql</language>
                    <queryString>select name from accounts where $X{IN, billing_address_country, Country_multi_select} and $X{IN, billing_address_state, Cascading_state_multi_select} order by name</queryString>
                    <dataSource>
                        <uri>/datasources/JServerJNDIDS</uri>
                    </dataSource>
                </localResource>
            </query>
            <queryVisibleColumn>name</queryVisibleColumn>
            <queryValueColumn>name</queryValueColumn>
        </localResource>
    </inputControl>
    <alwaysPromptControls>true</alwaysPromptControls>
    <controlsLayout>1</controlsLayout>
</reportUnit>
